Create a new consignment note

​

Path Parameters

Body·

application/json
  • A collection of files attached to the note.

    Properties: 4
  • Whether the note will be included when the consignment is exported or printed.

  • A short string which makes up the body of the note.

Responses

  • application/json
Request Example for post/v1/consignments/{consignmentId}/notes
curl https://api.consignlyhq.com/v1/consignments/123e4567-e89b-12d3-a456-426614174000/notes \
  --request POST \
  --header 'Content-Type: application/json' \
  --data '{
  "note": null,
  "displayOnPrintOut": true,
  "attachments": [
    {
      "fileName": null,
      "contentType": null,
      "content": null,
      "options": {
        "printType": "enum (Label = 1, Document = 2)"
      }
    }
  ]
}'
123e4567-e89b-12d3-a456-426614174000